Recipientsv1
Create recipient crypto wallet
Creates a new crypto wallet mapping for the recipient.
POST
/v1/recipients/crypto-walletsAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/recipients/crypto-wallets" \ -H "Content-Type: application/json" \ -d '{ "wallet_address": "string" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"recipient_id": "b6731cb5-d462-49ea-afb8-7933b670b560",
"wallet_address": "string",
"network": "string",
"network_id": "d6797cf4-42b9-4cad-8591-9dd91c3f0fc3",
"network_code": "string",
"currency_id": "305e0674-ee79-42b7-bf83-278294a47a7b",
"crp_asset_id": "015b0788-e8aa-4d88-98a2-3117119c0e5e",
"is_self_custody": true,
"is_validated": true,
"status": "active",
"asset": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"ticker": "string",
"decimals": 0,
"currency_id": "305e0674-ee79-42b7-bf83-278294a47a7b",
"network_id": "d6797cf4-42b9-4cad-8591-9dd91c3f0fc3",
"network_name": "string",
"network_code": "string"
},
"active": true,
"created_at": "2019-08-24T14:15:22Z",
"created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
"modified_at": "2019-08-24T14:15:22Z",
"modified_by": "e8d4374d-93a1-4e98-a6c6-fdcf00c5059f",
"metadata": {}
}{
"status": 0,
"message": "string"
}{
"status": 0,
"message": "string"
}{
"status": 0,
"message": "string"
}{
"status": 0,
"message": "string"
}{
"status": 0,
"message": "string"
}{
"status": 0,
"message": "string"
}